aboutsummaryrefslogtreecommitdiffstats
path: root/dist
diff options
context:
space:
mode:
authorTristan Gingold <tgingold@free.fr>2017-08-18 05:08:17 +0200
committerTristan Gingold <tgingold@free.fr>2017-08-18 05:08:17 +0200
commit1c2368f23c47baf365679a6b18bd1a900f80c130 (patch)
tree6610a242e216354d991e2995dc0d37720d1d2353 /dist
parent5fe560e5d6eb6bd967b0db3fa280deb29ad5d0d6 (diff)
downloadghdl-1c2368f23c47baf365679a6b18bd1a900f80c130.tar.gz
ghdl-1c2368f23c47baf365679a6b18bd1a900f80c130.tar.bz2
ghdl-1c2368f23c47baf365679a6b18bd1a900f80c130.zip
travis-ci: don't display vests log
Diffstat (limited to 'dist')
-rwxr-xr-xdist/linux/buildtest.sh15
1 files changed, 14 insertions, 1 deletions
diff --git a/dist/linux/buildtest.sh b/dist/linux/buildtest.sh
index c97e9370c..a781e6ca0 100755
--- a/dist/linux/buildtest.sh
+++ b/dist/linux/buildtest.sh
@@ -6,6 +6,8 @@ disable_color
# Stop in case of error
set -e
+echo "$@"
+
# Transform long options to short ones
for arg in "$@"; do
shift
@@ -42,11 +44,14 @@ cd "build-$BLD"
#---
+echo "travis_fold:start:env.$TASK"
printf "$ANSI_BLUE[$TASK| GHDL] Environment $ANSI_NOCOLOR\n"
env
+echo "travis_fold:end:env.$TASK"
#---
+echo "travis_fold:start:configure.$TASK"
printf "$ANSI_BLUE[$TASK| GHDL - build] Configure $ANSI_NOCOLOR\n"
case "$BLD" in
mcode)
@@ -75,6 +80,7 @@ case "$BLD" in
printf "$ANSI_RED[$TASK| GHDL - build] Unknown build $BLD $ANSI_NOCOLOR\n"
exit 1;;
esac
+echo "travis_fold:end:configure.$TASK"
#---
@@ -113,7 +119,14 @@ echo "travis_fold:end:tests.gna.$TASK"
echo "travis_fold:start:tests.vests.$TASK"
printf "$ANSI_BLUE[$TASK| GHDL - test] vests $ANSI_NOCOLOR\n"
cd vests
-./testsuite.sh
+if ./testsuite.sh > vests.log 2>&1 ; then
+ echo "${ANSI_GREEN}Vests is OK$ANSI_NOCOLOR"
+ wc -l vests.log
+else
+ cat vests.log
+ echo "${ANSI_RED}Vests failure$ANSI_NOCOLOR"
+ exit 1
+fi
cd ..
echo "travis_fold:end:tests.vests.$TASK"